diff --git a/game/core/src/main/java/net/minecraft/core/entity/Entity.java b/game/core/src/main/java/net/minecraft/core/entity/Entity.java
index 3800df8cf..b59005a58 100644
--- a/game/core/src/main/java/net/minecraft/core/entity/Entity.java
+++ b/game/core/src/main/java/net/minecraft/core/entity/Entity.java
@@ -658,46 +608,41 @@ public abstract class Entity
                     }
                 }
             }
-            
+
             // Check for snow layers
-            int blockYUp = MathHelper.floor(boundingBox.maxY);
-            Block<?> blockAbove = world.getBlock(blockX, blockYUp, blockZ);
-            if(blockAbove != null && blockAbove.hasTag(BlockTags.OVERRIDE_STEPSOUND)) {
-            	blockWalkedOn = blockAbove;
-            	blockY = blockYUp;
+            int blockYUp = MathHelper.floor(boundingBox.maxY());
+            Block<?> blockAbove = this.world.getBlock(blockX, blockYUp, blockZ);
+            if (blockAbove != null && blockAbove.hasTag(BlockTags.OVERRIDE_STEPSOUND)) {
+                blockWalkedOn = blockAbove;
+                blockY = blockYUp;
             }
-            
-            this.isWalking = walkDistO != walkDist;
-            
+
+            this.isWalking = this.walkDistO != this.walkDist;
+
             if (canInteract()) {
-                int walkedSteps = (int) (walkDist - nextStep);
-                if(walkedSteps > 0 && blockWalkedOn != null) {
-                    nextStep += walkedSteps;
-                    if (!muteStepSounds) {
-                        world.playBlockSoundEffect(this, this.x, this.bb.minY, this.z, blockWalkedOn, EnumBlockSoundEffectType.STEP);
-                        blockWalkedOn.onEntityWalking(world, blockX, blockY, blockZ, this);
+                int walkedSteps = (int) (this.walkDist - this.nextStep);
+                if (walkedSteps > 0 && blockWalkedOn != null) {
+                    this.nextStep += walkedSteps;
+                    if (!this.muteStepSounds) {
+                        this.world.playBlockSoundEffect(this, this.x, this.bb.minY, this.z, blockWalkedOn, EnumBlockSoundEffectType.STEP);
+                        blockWalkedOn.onEntityWalking(this.world, blockX, blockY, blockZ, this);
                     }
                 }
             }
         }
-        int minX = MathHelper.floor(bb.minX + 0.001D);
-        int minY = MathHelper.floor(bb.minY + 0.001D);
-        int minZ = MathHelper.floor(bb.minZ + 0.001D);
-        int maxX = MathHelper.floor(bb.maxX - 0.001D);
-        int maxY = MathHelper.floor(bb.maxY - 0.001D);
-        int maxZ = MathHelper.floor(bb.maxZ - 0.001D);
-        if(world.areBlocksLoaded(minX, minY, minZ, maxX, maxY, maxZ))
-        {
-            for(int _x = minX; _x <= maxX; _x++)
-            {
-                for(int _y = minY; _y <= maxY; _y++)
-                {
-                    for(int _z = minZ; _z <= maxZ; _z++)
-                    {
-                        int blockId = world.getBlockId(_x, _y, _z);
-                        if(blockId > 0)
-                        {
-                            Blocks.blocksList[blockId].onEntityCollidedWithBlock(world, _x, _y, _z, this);
+        int minX = MathHelper.floor(this.bb.minX + 0.001D);
+        int minY = MathHelper.floor(this.bb.minY + 0.001D);
+        int minZ = MathHelper.floor(this.bb.minZ + 0.001D);
+        int maxX = MathHelper.floor(this.bb.maxX - 0.001D);
+        int maxY = MathHelper.floor(this.bb.maxY - 0.001D);
+        int maxZ = MathHelper.floor(this.bb.maxZ - 0.001D);
+        if (this.world.areBlocksLoaded(minX, minY, minZ, maxX, maxY, maxZ)) {
+            for (int _x = minX; _x <= maxX; _x++) {
+                for (int _y = minY; _y <= maxY; _y++) {
+                    for (int _z = minZ; _z <= maxZ; _z++) {
+                        int blockId = this.world.getBlockId(_x, _y, _z);
+                        if (blockId > 0) {
+                            Blocks.blocksList[blockId].onEntityCollidedWithBlock(this.world, _x, _y, _z, this);
                         }
                     }
 
@@ -707,34 +652,28 @@ public abstract class Entity
 
         }
         boolean inWaterOrRain = isInWaterOrRain();
-        if(world.isBoundingBoxBurning(bb.getInsetBoundingBox(0.001D, 0.001D, 0.001D)))
-        {
+        if (this.world.isBoundingBoxBurning(MathHelper.aabbInsetBoundingBox(this.bb, 0.001D, 0.001D, 0.001D, new AABBd()))) {
             burn(1);
-            if(!inWaterOrRain)
-            {
-                remainingFireTicks++;
-                if(remainingFireTicks == 0)
-                {
-                    remainingFireTicks = 300;
+            if (!inWaterOrRain) {
+                this.remainingFireTicks++;
+                if (this.remainingFireTicks == 0) {
+                    this.remainingFireTicks = 300;
                 }
-                maxFireTicks = remainingFireTicks;
+                this.maxFireTicks = this.remainingFireTicks;
             }
-        } else
-        if(remainingFireTicks <= 0)
-        {
-            remainingFireTicks = -fireImmuneTicks;
+        } else if (this.remainingFireTicks <= 0) {
+            this.remainingFireTicks = -this.fireImmuneTicks;
         }
-        if(inWaterOrRain && remainingFireTicks > 0)
-        {
-            world.playSoundAtEntity(null, this, "random.fizz", 0.7F, 1.6F + (random.nextFloat() - random.nextFloat()) * 0.4F);
-            remainingFireTicks = -fireImmuneTicks;
+        if (inWaterOrRain && this.remainingFireTicks > 0) {
+            this.world.playSoundAtEntity(null, this, "random.fizz", 0.7F, 1.6F + (this.random.nextFloat() - this.random.nextFloat()) * 0.4F);
+            this.remainingFireTicks = -this.fireImmuneTicks;
         }
     }
 
     public void fling(double xd, double yd, double zd, float pushTime) {
         this.pushesThisTick++;
         this.fallDistance = 0;
-        double scalar = Math.sqrt(pushesThisTick) - Math.sqrt(pushesThisTick - 1);
+        double scalar = Math.sqrt(this.pushesThisTick) - Math.sqrt(this.pushesThisTick - 1);
         this.xd += xd * scalar;
         this.yd += yd * scalar;
         this.zd += zd * scalar;
@@ -747,429 +686,374 @@ public abstract class Entity
         return true;
     }
 
-    protected boolean makeStepSound()
-    {
+    protected boolean makeStepSound() {
         return true;
     }
 
-    protected void checkFallDamage(final double yd, final boolean onGround)
-    {
+    protected void checkFallDamage(final double yd, final boolean onGround) {
         if (this.vehicle != null || this.noPhysics) {
             this.fallDistance = 0;
-        }
-        else if (onGround)
-        {
-            if(this.fallDistance > 0.0F)
-            {
+        } else if (onGround) {
+            if (this.fallDistance > 0.0F) {
                 causeFallDamage(this.fallDistance);
                 this.fallDistance = 0.0F;
             }
-        }
-        else if (yd < 0.0D)
-        {
+        } else if (yd < 0.0D) {
             this.fallDistance -= (float) yd;
         }
     }
 
-    public AABB getBb()
-    {
+    public @Nullable AABBdc getCollisionAABB() {
         return null;
     }
 
-    protected void burn(int damage)
-    {
-        if (!fireImmune)
-        {
+    protected void burn(int damage) {
+        if (!this.fireImmune) {
             hurt(null, damage, DamageType.FIRE);
         }
     }
 
-    protected void causeFallDamage(float distance)
-    {
-        if (passenger != null)
-        {
-            passenger.causeFallDamage(distance);
+    protected void causeFallDamage(float distance) {
+        if (this.passenger != null) {
+            this.passenger.causeFallDamage(distance);
         }
     }
 
-    public boolean isInWaterOrRain()
-    {
-        return wasInWater || world.canBlockBeRainedOn(MathHelper.floor(x), MathHelper.floor(y), MathHelper.floor(z));
+    public boolean isInWaterOrRain() {
+        return this.wasInWater || this.world.canBlockBeRainedOn(MathHelper.floor(this.x), MathHelper.floor(this.y), MathHelper.floor(this.z));
     }
 
-    public boolean isInWater()
-    {
-        return wasInWater;
+    public boolean isInWater() {
+        return this.wasInWater;
     }
 
-    public boolean checkAndHandleWater(boolean addVelocity)
-    {
-        return world.handleMaterialAcceleration(bb/*.expand(0.0D, -0.4D, 0.0D)*/.getInsetBoundingBox(0.001D, 0.001D, 0.001D), Material.water, this, addVelocity);
+    public boolean checkAndHandleWater(boolean addVelocity) {
+        return this.world.handleMaterialAcceleration(MathHelper.aabbInsetBoundingBox(this.bb/*.expand(0.0D, -0.4D, 0.0D)*/, 0.001D, 0.001D, 0.001D, new AABBd()), Materials.WATER, this, addVelocity);
     }
 
-    public boolean isUnderLiquid(Material material)
-    {
-        double d = y + (double) getHeadHeight();
-        int i = MathHelper.floor(x);
-        int j = MathHelper.floor_float(MathHelper.floor(d));
-        int k = MathHelper.floor(z);
-        int l = world.getBlockId(i, j, k);
-        if(l != 0 && Blocks.blocksList[l].getMaterial() == material)
-        {
-            float f = BlockLogicFluid.getHeight(world.getBlockMetadata(i, j, k)) - 0.2F;
-            float f1 = (float)(j + 1) - f;
-            return d < (double)f1;
-        } else
-
-        {
+    public boolean isUnderLiquid(@NotNull Material material) {
+        double headY = this.y + (double) getHeadHeight();
+        TilePos tilePos = new TilePos(this.x, headY, this.z);
+        Block<?> block = this.world.getBlock(tilePos);
+        if (block != null && block.getMaterial() == material) {
+            float f = BlockLogicFluid.getHeight(this.world.getBlockData(tilePos)) - 0.2F;
+            float f1 = (float) (tilePos.y + 1) - f;
+            return headY < (double) f1;
+        } else {
             return false;
         }
     }
 
-    public float getHeadHeight()
-    {
+    public float getHeadHeight() {
         return 0.0F;
     }
 
-    public boolean isInLava()
-    {
-        return world.isMaterialInBB(bb/*.expand(-0.1D, -0.4D, -0.1D)*/, Material.lava);
+    public boolean isInLava() {
+        return this.world.isMaterialInBB(this.bb/*.expand(-0.1D, -0.4D, -0.1D)*/, Materials.LAVA);
     }
 
-    public void moveRelative(float strafe, float forward, float speed)
-    {
+    public void moveRelative(float strafe, float forward, float speed) {
         float f3 = MathHelper.sqrt_float(strafe * strafe + forward * forward);
-        if(f3 < 0.01F)
-        {
+        if (f3 < 0.01F) {
             return;
         }
-        if(f3 < 1.0F)
-        {
+        if (f3 < 1.0F) {
             f3 = 1.0F;
         }
         f3 = speed / f3;
         strafe *= f3;
         forward *= f3;
 
-        float sinYaw = MathHelper.sin((yRot * MathHelper.PI) / 180F);
-        float cosYaw = MathHelper.cos((yRot * MathHelper.PI) / 180F);
-        xd += strafe * cosYaw - forward * sinYaw ;
-        zd += forward * cosYaw + strafe * sinYaw;
-    }
-
-    public float calcBrightness(float partialTick)
-    {
-    	if(Global.accessor.isFullbrightEnabled()) {
-    		return 1.0f;
-    	}
-        int i = MathHelper.floor(x);
-        double d = (bb.maxY - bb.minY) * 0.66D;
-        int j = MathHelper.floor((y - (double) heightOffset) + d);
-        int k = MathHelper.floor(z);
-        if(world.areBlocksLoaded(MathHelper.floor(bb.minX), MathHelper.floor(bb.minY), MathHelper.floor(bb.minZ), MathHelper.floor(bb.maxX), MathHelper.floor(bb.maxY), MathHelper.floor(bb.maxZ)))
-        {
-            float f1 = world.getLightBrightness(i, j, k);
-            if(f1 < entityBrightness)
-            {
-                f1 = entityBrightness;
+        float sinYaw = MathHelper.sin((this.yRot * MathHelper.PI) / 180F);
+        float cosYaw = MathHelper.cos((this.yRot * MathHelper.PI) / 180F);
+        this.xd += strafe * cosYaw - forward * sinYaw;
+        this.zd += forward * cosYaw + strafe * sinYaw;
+    }
+
+    public float calcBrightness(float partialTick) {
+        if (Global.accessor.isFullbrightEnabled()) {
+            return 1.0f;
+        }
+        int i = MathHelper.floor(this.x);
+        double d = (this.bb.maxY - this.bb.minY) * 0.66D;
+        int j = MathHelper.floor((this.y - (double) this.heightOffset) + d);
+        int k = MathHelper.floor(this.z);
+        if (this.world.areBlocksLoaded(MathHelper.floor(this.bb.minX), MathHelper.floor(this.bb.minY), MathHelper.floor(this.bb.minZ), MathHelper.floor(this.bb.maxX), MathHelper.floor(this.bb.maxY), MathHelper.floor(this.bb.maxZ))) {
+            float f1 = this.world.getLightBrightness(i, j, k);
+            if (f1 < this.entityBrightness) {
+                f1 = this.entityBrightness;
             }
             return f1;
-        } else
-        {
-            return entityBrightness;
+        } else {
+            return this.entityBrightness;
         }
     }
 
     public float getBrightness(float partialTick) {
         return calcBrightness(partialTick);
     }
-    
+
     public int calcLightmap(float partialTick) {
         if (Global.accessor.isFullbrightEnabled()) return 15 << 20 | 15;
         TilePos blockPos = new TilePos(this.x, this.y - this.heightOffset + this.ySlideOffset + this.bbHeight * 0.66D, this.z);
 
         final int skylight;
         final int blocklight;
-        if(this.world.getBlockLitInteriorSurface(blockPos))
-        {
-            TilePos tu = blockPos.up();
-            TilePos tw = blockPos.west();
-            TilePos te = blockPos.east();
-            TilePos ts = blockPos.south();
-            TilePos tn = blockPos.north();
-
-                  int bU = this.world.getSavedLightValue(LightLayer.Block, tu);
-            final int bW = this.world.getSavedLightValue(LightLayer.Block, tw);
-            final int bE = this.world.getSavedLightValue(LightLayer.Block, te);
-            final int bS = this.world.getSavedLightValue(LightLayer.Block, ts);
-            final int bN = this.world.getSavedLightValue(LightLayer.Block, tn);
-            if(bW > bU) { bU = bW; }
-            if(bE > bU) { bU = bE; }
-            if(bS > bU) { bU = bS; }
-            if(bN > bU) { bU = bN; }
+        if (this.world.getBlockLitInteriorSurface(blockPos)) {
+            TilePos queryPos = new TilePos();
+
+            int bU = this.world.getSavedLightValue(LightLayer.Block, blockPos.up(queryPos));
+            final int bW = this.world.getSavedLightValue(LightLayer.Block, blockPos.west(queryPos));
+            final int bE = this.world.getSavedLightValue(LightLayer.Block, blockPos.east(queryPos));
+            final int bS = this.world.getSavedLightValue(LightLayer.Block, blockPos.south(queryPos));
+            final int bN = this.world.getSavedLightValue(LightLayer.Block, blockPos.north(queryPos));
+            if (bW > bU) {
+                bU = bW;
+            }
+            if (bE > bU) {
+                bU = bE;
+            }
+            if (bS > bU) {
+                bU = bS;
+            }
+            if (bN > bU) {
+                bU = bN;
+            }
             blocklight = bU;
 
-                  int sU = this.world.getSavedLightValue(LightLayer.Sky, tu);
-            final int sW = this.world.getSavedLightValue(LightLayer.Sky, tw);
-            final int sE = this.world.getSavedLightValue(LightLayer.Sky, te);
-            final int sS = this.world.getSavedLightValue(LightLayer.Sky, ts);
-            final int sN = this.world.getSavedLightValue(LightLayer.Sky, tn);
-            if(sW > sU) { sU = sW; }
-            if(sE > sU) { sU = sE; }
-            if(sS > sU) { sU = sS; }
-            if(sN > sU) { sU = sN; }
+            int sU = this.world.getSavedLightValue(LightLayer.Sky, blockPos.up(queryPos));
+            final int sW = this.world.getSavedLightValue(LightLayer.Sky, blockPos.west(queryPos));
+            final int sE = this.world.getSavedLightValue(LightLayer.Sky, blockPos.east(queryPos));
+            final int sS = this.world.getSavedLightValue(LightLayer.Sky, blockPos.south(queryPos));
+            final int sN = this.world.getSavedLightValue(LightLayer.Sky, blockPos.north(queryPos));
+            if (sW > sU) {
+                sU = sW;
+            }
+            if (sE > sU) {
+                sU = sE;
+            }
+            if (sS > sU) {
+                sU = sS;
+            }
+            if (sN > sU) {
+                sU = sN;
+            }
             skylight = sU;
 
         } else {
             skylight = this.world.getSavedLightValue(LightLayer.Sky, blockPos);
             blocklight = this.world.getSavedLightValue(LightLayer.Block, blockPos);
         }
-    	
-    	return this.world.getLightmapCoord(skylight, blocklight);
+
+        return this.world.getLightmapCoord(skylight, blocklight);
     }
 
     public int getLightmap(float partialTick) {
         return calcLightmap(partialTick);
     }
 
-    public void setWorld(@NotNull final World world)
-    {
+    public void setWorld(@NotNull final World world) {
         this.world = world;
     }
 
     public void absMoveTo(double x, double y, double z, float yRot,
-                          float xRot)
-    {
-        xo = this.x = x;
-        yo = this.y = y;
-        zo = this.z = z;
-        yRotO = this.yRot = yRot;
-        xRotO = this.xRot = xRot;
-        ySlideOffset = 0.0F;
-        double d3 = yRotO - yRot;
-        if(d3 < -180D)
-        {
-            yRotO += 360F;
-        }
-        if(d3 >= 180D)
-        {
-            yRotO -= 360F;
+                          float xRot) {
+        this.xo = this.x = x;
+        this.yo = this.y = y;
+        this.zo = this.z = z;
+        this.yRotO = this.yRot = yRot;
+        this.xRotO = this.xRot = xRot;
+        this.ySlideOffset = 0.0F;
+        double d3 = this.yRotO - yRot;
+        if (d3 < -180D) {
+            this.yRotO += 360F;
+        }
+        if (d3 >= 180D) {
+            this.yRotO -= 360F;
         }
         setPos(this.x, this.y, this.z);
         setRot(yRot, xRot);
     }
 
     public void moveTo(double x, double y, double z, float yRot,
-                       float xRot)
-    {
-       xo = this.x = x;
-       yo = this.y = y + (double) heightOffset;
-       zo = this.z = z;
+                       float xRot) {
+        this.xo = this.x = x;
+        this.yo = this.y = y + (double) this.heightOffset;
+        this.zo = this.z = z;
         this.yRot = yRot;
         this.xRot = xRot;
         setPos(this.x, this.y, this.z);
     }
 
-    public float distanceTo(Entity entity)
-    {
-        float f = (float)(x - entity.x);
-        float f1 = (float)(y - entity.y);
-        float f2 = (float)(z - entity.z);
+    public float distanceTo(Entity entity) {
+        float f = (float) (this.x - entity.x);
+        float f1 = (float) (this.y - entity.y);
+        float f2 = (float) (this.z - entity.z);
         return MathHelper.sqrt_float(f * f + f1 * f1 + f2 * f2);
     }
 
-    public double distanceToSqr(double d, double d1, double d2)
-    {
-        double d3 = x - d;
-        double d4 = y - d1;
-        double d5 = z - d2;
+    public double distanceToSqr(double d, double d1, double d2) {
+        double d3 = this.x - d;
+        double d4 = this.y - d1;
+        double d5 = this.z - d2;
         return d3 * d3 + d4 * d4 + d5 * d5;
     }
 
-    public double distanceTo(double d, double d1, double d2)
-    {
-        double d3 = x - d;
-        double d4 = y - d1;
-        double d5 = z - d2;
+    public double distanceTo(double d, double d1, double d2) {
+        double d3 = this.x - d;
+        double d4 = this.y - d1;
+        double d5 = this.z - d2;
         return MathHelper.sqrt(d3 * d3 + d4 * d4 + d5 * d5);
     }
 
-    public double distanceToSqr(Entity entity)
-    {
-        double d = x - entity.x;
-        double d1 = y - entity.y;
-        double d2 = z - entity.z;
+    public double distanceToSqr(Entity entity) {
+        double d = this.x - entity.x;
+        double d1 = this.y - entity.y;
+        double d2 = this.z - entity.z;
         return d * d + d1 * d1 + d2 * d2;
     }
 
-    public void playerTouch(Player player)
-    {
+    public void playerTouch(Player player) {
     }
 
-    public boolean collidesWith(Entity entity)
-    {
+    public boolean collidesWith(Entity entity) {
         return true;
     }
 
     public boolean collidesWithBlock(Block<?> block, int metadata) {
-        if (this.pushTime > 0.5f && (this.xd * this.xd + this.yd * this.yd + this.zd * this.zd) > 1 && Block.hasLogicClass(block, BlockLogicPistonHead.class)) return false; // TODO horrible hardcoded exception to getting stuck in piston heads during flings
-        return true;
+        return !(this.pushTime > 0.5f) || !((this.xd * this.xd + this.yd * this.yd + this.zd * this.zd) > 1) || !Block.hasLogicClass(block, BlockLogicPistonHead.class); // TODO horrible hardcoded exception to getting stuck in piston heads during flings
     }
 
-    public void push(Entity entity)
-    {
-        if (entity.passenger == this || entity.vehicle == this || entity.noPhysics || !entity.isPickable() || !this.collidesWith(entity) || !entity.collidesWith(this))
-        {
+    public void push(Entity entity) {
+        if (entity.passenger == this || entity.vehicle == this || entity.noPhysics || !entity.isPickable() || !this.collidesWith(entity) || !entity.collidesWith(this)) {
             return;
         }
-        double d = entity.x - x;
-        double d1 = entity.z - z;
+        double d = entity.x - this.x;
+        double d1 = entity.z - this.z;
         double d2 = MathHelper.abs_max(d, d1);
-        if (d2 >= 0.01D)
-        {
+        if (d2 >= 0.01D) {
             d2 = MathHelper.sqrt(d2);
             d /= d2;
             d1 /= d2;
             double d3 = 1.0D / d2;
-            if(d3 > 1.0D)
-            {
+            if (d3 > 1.0D) {
                 d3 = 1.0D;
             }
             d *= d3;
             d1 *= d3;
             d *= 0.05D;
             d1 *= 0.05D;
-            d *= 1.0F - pushthrough;
-            d1 *= 1.0F - pushthrough;
+            d *= 1.0F - this.pushthrough;
+            d1 *= 1.0F - this.pushthrough;
             push(-d, 0.0D, -d1);
             entity.push(d, 0.0D, d1);
         }
     }
 
-    public void push(double x, double y, double z)
-    {
-        xd += x;
-        yd += y;
-        zd += z;
+    public void push(double x, double y, double z) {
+        this.xd += x;
+        this.yd += y;
+        this.zd += z;
     }
 
-    protected void markHurt()
-    {
-        hurtMarked = true;
+    protected void markHurt() {
+        this.hurtMarked = true;
     }
 
-    public boolean hurt(Entity attacker, int baseDamage, DamageType type)
-    {
+    public boolean hurt(Entity attacker, int baseDamage, DamageType type) {
         markHurt();
         return false;
     }
 
-    public boolean isPickable()
-    {
+    public boolean isPickable() {
         return false;
     }
 
-    public boolean isSelectable()
-    {
+    public boolean isSelectable() {
         return isPickable();
     }
 
-    public boolean isPushable()
-    {
+    public boolean isPushable() {
         return false;
     }
 
-    public void awardKillScore(Entity entity, int i)
-    {
+    public void awardKillScore(Entity entity, int i) {
     }
 
-    public boolean shouldRender(final Vec3 vec3, final double viewDistanceModifier)
-    {
-        final double dx = this.x - vec3.x;
-        final double dy = this.y - vec3.y;
-        final double dz = this.z - vec3.z;
+    public boolean shouldRender(final @NotNull Vector3dc cameraPos, final double viewDistanceModifier) {
+        final double dx = this.x - cameraPos.x();
+        final double dy = this.y - cameraPos.y();
+        final double dz = this.z - cameraPos.z();
         final double distance = dx * dx + dy * dy + dz * dz;
         return shouldRenderAtSqrDistance(distance, viewDistanceModifier);
     }
 
-    public boolean shouldRenderAtSqrDistance(final double distance, final double viewDistanceModifier)
-    {
-        double d1 = this.bb.getSize();
+    public boolean shouldRenderAtSqrDistance(final double distance, final double viewDistanceModifier) {
+        double d1 = MathHelper.getAABBSize(this.bb);
         d1 *= 64D * this.viewScale * viewDistanceModifier;
         return distance < d1 * d1;
     }
 
-    public @Nullable String getEntityTexture()
-    {
+    public @Nullable String getEntityTexture() {
         return null;
     }
 
-    public boolean save(@NotNull CompoundTag tag)
-    {
+    public boolean save(@NotNull CompoundTag tag) {
         @Nullable NamespaceID s = getDispatcherId();
-        if(removed || s == null)
-        {
+        if (this.removed || s == null) {
             return false;
-        }
-        else
-        {
+        } else {
             tag.putString("id", s.toString());
             saveWithoutId(tag);
             return true;
         }
     }
 
-    public void saveWithoutId(@NotNull CompoundTag tag)
-    {
-        tag.put("Pos", newDoubleList(new double[] { x, y + ySlideOffset, z }));
-        tag.put("Motion", newDoubleList(new double[] { xd, yd, zd }));
-        tag.put("Rotation", newFloatList(new float[] { yRot, xRot }));
-        tag.putFloat("FallDistance", fallDistance);
-        tag.putShort("Fire", (short) remainingFireTicks);
-        tag.putShort("Air", (short) airSupply);
-        tag.putBoolean("OnGround", onGround);
-        tag.putFloat("PushTime", pushTime);
+    public void saveWithoutId(@NotNull CompoundTag tag) {
+        tag.put("Pos", newDoubleList(new double[]{this.x, this.y + this.ySlideOffset, this.z}));
+        tag.put("Motion", newDoubleList(new double[]{this.xd, this.yd, this.zd}));
+        tag.put("Rotation", newFloatList(new float[]{this.yRot, this.xRot}));
+        tag.putFloat("FallDistance", this.fallDistance);
+        tag.putShort("Fire", (short) this.remainingFireTicks);
+        tag.putShort("Air", (short) this.airSupply);
+        tag.putBoolean("OnGround", this.onGround);
+        tag.putFloat("PushTime", this.pushTime);
         addAdditionalSaveData(tag);
     }
 
-    public void load(@NotNull CompoundTag tag)
-    {
+    public void load(@NotNull CompoundTag tag) {
         ListTag posTag = tag.getList("Pos");
         ListTag motionTag = tag.getList("Motion");
         ListTag rotationTag = tag.getList("Rotation");
-        xd = ((DoubleTag)motionTag.tagAt(0)).getValue();
-        yd = ((DoubleTag)motionTag.tagAt(1)).getValue();
-        zd = ((DoubleTag)motionTag.tagAt(2)).getValue();
-        if(MathHelper.abs((float) xd) > 10D)
-        {
-            xd = 0.0D;
-        }
-        if(MathHelper.abs((float) yd) > 10D)
-        {
-            yd = 0.0D;
-        }
-        if(MathHelper.abs((float) zd) > 10D)
-        {
-            zd = 0.0D;
-        }
-        xo = x = ((DoubleTag)posTag.tagAt(0)).getValue();
-        yo = y = ((DoubleTag)posTag.tagAt(1)).getValue();
-        zo = z = ((DoubleTag)posTag.tagAt(2)).getValue();
-        yRotO = yRot = ((FloatTag)rotationTag.tagAt(0)).getValue();
-        xRotO = xRot = ((FloatTag)rotationTag.tagAt(1)).getValue();
-        fallDistance = tag.getFloat("FallDistance");
-        remainingFireTicks = tag.getShort("Fire");
-        maxFireTicks = remainingFireTicks;
-        airSupply = tag.getShort("Air");
-        onGround = tag.getBoolean("OnGround");
-        pushTime = tag.getFloat("PushTime");
-        setPos(x, y, z);
-        setRot(yRot, xRot);
+        this.xd = ((DoubleTag) motionTag.tagAt(0)).getValue();
+        this.yd = ((DoubleTag) motionTag.tagAt(1)).getValue();
+        this.zd = ((DoubleTag) motionTag.tagAt(2)).getValue();
+        if (MathHelper.abs((float) this.xd) > 10D) {
+            this.xd = 0.0D;
+        }
+        if (MathHelper.abs((float) this.yd) > 10D) {
+            this.yd = 0.0D;
+        }
+        if (MathHelper.abs((float) this.zd) > 10D) {
+            this.zd = 0.0D;
+        }
+        this.xo = this.x = ((DoubleTag) posTag.tagAt(0)).getValue();
+        this.yo = this.y = ((DoubleTag) posTag.tagAt(1)).getValue();
+        this.zo = this.z = ((DoubleTag) posTag.tagAt(2)).getValue();
+        this.yRotO = this.yRot = ((FloatTag) rotationTag.tagAt(0)).getValue();
+        this.xRotO = this.xRot = ((FloatTag) rotationTag.tagAt(1)).getValue();
+        this.fallDistance = tag.getFloat("FallDistance");
+        this.remainingFireTicks = tag.getShort("Fire");
+        this.maxFireTicks = this.remainingFireTicks;
+        this.airSupply = tag.getShort("Air");
+        this.onGround = tag.getBoolean("OnGround");
+        this.pushTime = tag.getFloat("PushTime");
+        setPos(this.x, this.y, this.z);
+        setRot(this.yRot, this.xRot);
         readAdditionalSaveData(tag);
     }
 
-    public final @Nullable NamespaceID getDispatcherId()
-    {
+    public final @Nullable NamespaceID getDispatcherId() {
         EntityDispatcher.EntityDispatcherEntry<?> entry = EntityDispatcher.getInstance().entryForClass(this.getClass());
         if (entry != null) {
             return entry.namespaceID;
